package org.embl.gbcs.jemultiplexer;

import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

/**
 * 
 * Just a class to gather at a unique place all the configuration parameters.
 * Since these props should not be visible to users, we though it is better to embed 
 * them this way within the code instead of exposing them in a config file. The drawback is 
 * of course than one has to republish the jars upon config changes. On the other hand 
 * it should not be very frequent! 
 * 
 * @author girardot
 *
 */
public class ApplicationConfiguration {

	
	public static String DB_USER = null;
	public static String DB_PWD = null;
	public static String DB_URL = null; 
	public static String CONTACT_EMAIL = null;
	
	
	
	
	public static void init() throws IOException {
		InputStream is = ApplicationConfiguration.class.getResourceAsStream("/jemultiplexer.properties"); //at the root
		Properties p = new Properties();
		p.load(is);
		DB_URL = p.getProperty("embase.url");
		DB_USER = p.getProperty("embase.user");
		DB_PWD = p.getProperty("embase.pwd");
		CONTACT_EMAIL = p.getProperty("email");
	}
	
	
	
}
